Subject: bug#47610: gnome-keyring service doesn't appear

From: Leo Prikler <[email-masked]>
Date: Wed, 21 Apr 2021 09:30:46 +0200

Am Mittwoch, den 21.04.2021, 01:49 -0500 schrieb bdju:
> On Tue Apr 6, 2021 at 1:55 AM CDT, Leo Prikler wrote:
> > gnome-keyring-service is not a shepherd service. It is a pam
> > service,
> > that ensures your login keyring (if it exists) is unlocked when you
> > log
> > in. That's all it does.
> > 
> > `ps x | grep gnome-keyring` should have a non-empty output. Mine
> > includes this:
> > /gnu/store/47nl5kpkc3sgwasrbk06sgaig22w07ha-gnome-keyring-
> > 3.34.0/bin/gnome-keyring-daemon --daemonize --login
> > 
> > Regards,
> > Leo
> The only output I get back from that is the very grep I'm running. I
> didn't have gnome-keyring in my manifest, so I added it. Then I
> rebooted. Still nothing. I also installed python-keyring.
> Someone had me run `keyring --list-backends` which seems to show I
> have
> no working keyring backends. I haven't messed with keyrings before,
> so
> maybe I'm just doing something wrong here.
> 
> (output of above command)
> ```
> keyring.backends.fail.Keyring (priority: 0)
> keyring.backends.chainer.ChainerBackend (priority: -1)
> ```
That's quite an interesting observation.  Could you tell me what DM
(gdm, sddm, sway) you're using?

The gnome-keyring PAM service works by adding an auto_start login
entry, that refers to gnome-keyring's
/lib/security/pam_gnome_keyring.so.  I don't think you need GNOME
keyring installed for that to run, but the default configuration
assumes you're running GDM.  You will need to adjust it if you use
something else.

Regards,
Leo